Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004124OCaml~DO NOT USE (was: OCaml general)public2006-09-27 08:052006-10-17 14:38
Reporternecula 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.3 
Target VersionFixed in Version 
Summary0004124: -pack option does not work properly
Description (This is for cygwin with ocaml 3.09.3)

 I have a large project that I am trying to wrap inside a package. I use the
"-for-pack LibKettle" option on all compilations and "-pack -o libKettle.cmx" when linking.
 
 If I look at the tmp/camlpackagexxx.s file I see lines like this:
_camlLibKettle__entry:
L100:
    movl $_camlConfig_base, _camlLibKettle
    movl $_camlPretty, _camlLibKettle + 4
    movl $_camlInthash, _camlLibKettle + 8
    movl $_camlIntmap, _camlLibKettle + 12

 The labels should be _camlLibKettle__Config_base, _camlLibKettle__Pretty, etc (should be translated in the new scope). This eventually results in undefined symbols when linking.

  I have tried to reproduce the problem in a simple project, and I could not (I get the correct behavior there).

  Any ideas how to make progress debugging this?
 
Thanks,
 George Necula.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003799)
frisch (developer)
2006-09-27 09:08

You should check that enough -I options are given (when -pack'ing) so that all the .cmx files can be found (even if you give their full path on the command line).

This requirement should really be fixed or documented!

-- Alain
(0003801)
necula (reporter)
2006-09-28 18:54

Thanks Alain, that was indeed the problem. But PLEASE add a sentence to the documentation. It would have saved me a couple of hours of work.
(0003814)
xleroy (administrator)
2006-10-17 14:38

Improved handling of .cmx during ocamlopt -pack. The .cmx given on the command line are now honored even if they cannot be found in the search path.
Also, added better link-time reporting of other corner cases involving -for-pack
and missing .cmx files.

- Issue History
Date Modified Username Field Change
2006-09-27 08:05 necula New Issue
2006-09-27 09:08 frisch Note Added: 0003799
2006-09-28 18:54 necula Note Added: 0003801
2006-10-17 14:38 xleroy Note Added: 0003814
2006-10-17 14:38 xleroy Status new => closed
2006-10-17 14:38 xleroy Resolution open => fixed
2006-10-17 14:38 xleroy Description Updated
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker